- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: c3127407-794f-42c4-bca7-45cdb6fb584a
    creation_time: 2023-02-17T12:12:33.493183Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gsv2008.i
      input_file_hashes:
        c/loop-lit/gsv2008.i: d7b840784ed09a8ba534cc1991a3b26e3517ca5684a3a750b52e1a997eff0418
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gsv2008.i
    file_hash: d7b840784ed09a8ba534cc1991a3b26e3517ca5684a3a750b52e1a997eff0418
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: y <= x && x < 0 || x < y || y > 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7fdc3bbe-a944-44bc-99da-744f6f26a17d
    creation_time: 2023-02-17T12:12:33.493462Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-lit/gsv2008.i
      input_file_hashes:
        c/loop-lit/gsv2008.i: d7b840784ed09a8ba534cc1991a3b26e3517ca5684a3a750b52e1a997eff0418
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-lit/gsv2008.i
    file_hash: d7b840784ed09a8ba534cc1991a3b26e3517ca5684a3a750b52e1a997eff0418
    line: 33
    column: 0
    function: main
  location_invariant:
    string: y > 0
    type: assertion
    format: C

